
package de.ivu.elect.presentation.stimmeingabe.menu;

import javax.enterprise.inject.Specializes;

@Specializes
public class WasStimmeingabeDocumentByErgebnisDatenExportMenuItemEntry extends StimmeingabeDocumentByErgebnisDatenExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WasStimmeingabeDocumentByErgebnisDatenExportMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && !isWahlMitListenkandidaturStimmenSelected();
  }

  // ELECTMUC-2316 Momentan werden (im WAS) keine Stimmen für Listenkandidaturen bei der Erzeugung ANHAND DER ERGEBNISDATEN eingefügt.
  private boolean isWahlMitListenkandidaturStimmenSelected() {
    return isWahlSelected() && getSelectedWahl().isWahlMitListenkandidatenStimmen();
  }
}
